use super::schema::klassen;

#[derive(Queryable, Debug, Serialize)]
pub struct Stunden {
    pub id: i32,
    pub title: String,
    pub short: String,
    pub ordinal: i32,
}

#[derive(Queryable, Debug, Serialize)]
pub struct Vertretungen {
    pub id: i32,
    pub klasse_link: i32,
    pub stunde_link: i32,
    pub fehlend: String,
    pub vertretung: String,
    pub kommentar: String,
}

#[derive(Queryable, Debug, Serialize)]
pub struct Klassen {
    pub id: i32,
    pub stufe: i32,
    pub gruppe: String,
    pub titel: Option<String>,
    pub ordnung: i32,
}

#[derive(Insertable)]
#[table_name = "klassen"]
pub struct NewKlassen {
    pub stufe: i32,
    pub gruppe: String,
    pub titel: Option<String>,
    pub ordnung: i32,
}
